Bug 1096202 - Build passenger for EPEL7
Summary: Build passenger for EPEL7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: passenger
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1096199 1188428
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-09 12:21 UTC by Dominic Cleal
Modified: 2016-07-19 11:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:29:48 UTC


Attachments (Terms of Use)
build of f49e08f in EPEL7 (1.49 KB, text/plain)
2016-01-06 09:40 UTC, František Dvořák
no flags Details

Description Dominic Cleal 2014-05-09 12:21:11 UTC
Description of problem:
Please build rubygem-passenger for EPEL7.

Branching requests are made here: https://fedoraproject.org/wiki/EPEL/epel7/Requests

Comment 1 Orion Poplawski 2015-02-02 21:10:59 UTC
Ping - Brett can you do this or shall I?

Comment 2 Brett Lentz 2015-02-02 21:13:05 UTC
(In reply to Orion Poplawski from comment #1)
> Ping - Brett can you do this or shall I?

I can, it just may take me a couple days to get there. If you need it quickly, please go ahead and do the build.

Comment 3 Orion Poplawski 2015-02-02 21:15:23 UTC
It's been renamed passenger, so we should use that name.

Comment 4 Orion Poplawski 2015-02-02 21:28:49 UTC
I guess this would require maintaining libeio in EPEL7 to.  Jan - I can do both if you are not interested.

Comment 5 Jaroslav Reznik 2015-03-03 15:47:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Marcin Trendota 2015-03-14 23:11:29 UTC
Any progress on this?

Comment 7 Orion Poplawski 2015-04-22 19:33:54 UTC
Slow - I see that passenger 5.X is out, should we jump to that?  I'm looking at updating to that in rawhide.

Comment 8 Orion Poplawski 2015-04-22 21:33:40 UTC
FYI - passenger 5.0.5+ uses a modified libev.  I've contacted both passenger and libev about it:

https://github.com/phusion/passenger/commit/a84b6ae1a64d2ae552d3e03c69d295a166200cd0#diff-8644f07c5dc22ffd1d2cae715cbbae56

http://lists.schmorp.de/pipermail/libev/2015q2/002525.html

Comment 9 Jan Kaluža 2015-04-23 06:04:26 UTC
I'm OK with patching libev to whatever is needed for passenger. I have libev in Fedora just because of Passenger.

Comment 10 Jan Kaluža 2015-04-23 06:06:30 UTC
Ignore my last comment, I was thinking about libeio, not libev...

Comment 11 Marcin Trendota 2015-06-25 10:28:18 UTC
Is it available anywhere yet? I'd prefer install RPM and test it than install gem.

Comment 12 František Dvořák 2016-01-06 09:40:37 UTC
Created attachment 1112055 [details]
build of f49e08f in EPEL7

Comment 13 František Dvořák 2016-01-06 09:41:51 UTC
The problem with libev is solved at rawhide, thanks!

When trying f49e08f (5.0.23, without the json patch yet) on EPEL7, the build fails though. Maybe it is because of old libuv in EPEL7?

Comment 14 Fedora End Of Life 2016-07-19 11:29:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.